/*!\file:  Material.h
 * \brief abstract class for Material object
 */ 


#ifndef _MATERIAL_H_
#define _MATERIAL_H_

/*Headers:*/
/*{{{*/
class Object;
#include "../Object.h"
#include "../../toolkits/toolkits.h"
/*}}}*/

class Material: public Object,public Update{

	public: 
		virtual       ~Material(){};

		/*Numerics*/
		virtual void   InputDuplicate(int original_enum,int new_enum)=0;
		virtual void   Configure(Elements* elements)=0;
		virtual void   GetVectorFromInputs(Vector* vector,int input_enum)=0;

};
#endif
